Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/notifications/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"_id": "<string>",
"userId": "<string>",
"title": "<string>",
"message": "",
"read": false,
"relatedId": "<string>",
"relatedType": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '<string>',
userId: '<string>',
title: '<string>',
message: '',
read: false,
relatedId: '<string>',
relatedType: '<string>',
createdAt: '<unknown>',
updatedAt: '<unknown>'
})
};
fetch('https://aquila.attaxr.com/api/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/notifications/{id}"
payload = {
"_id": "<string>",
"userId": "<string>",
"title": "<string>",
"message": "",
"read": False,
"relatedId": "<string>",
"relatedType": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"userId": "<string>",
"type": "asset_discovered",
"title": "<string>",
"message": "",
"read": false,
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"relatedId": "<string>",
"relatedType": "<string>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Notifications
Update a resource (partial)
Partial merge update; id and userId in the body are ignored (owner scoping comes from the session).
PUT
/
api
/
notifications
/
{id}
Update a resource (partial)
curl --request PUT \
--url https://aquila.attaxr.com/api/notifications/{id} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"_id": "<string>",
"userId": "<string>",
"title": "<string>",
"message": "",
"read": false,
"relatedId": "<string>",
"relatedType": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
'const options = {
method: 'PUT',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
_id: '<string>',
userId: '<string>',
title: '<string>',
message: '',
read: false,
relatedId: '<string>',
relatedType: '<string>',
createdAt: '<unknown>',
updatedAt: '<unknown>'
})
};
fetch('https://aquila.attaxr.com/api/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/notifications/{id}"
payload = {
"_id": "<string>",
"userId": "<string>",
"title": "<string>",
"message": "",
"read": False,
"relatedId": "<string>",
"relatedType": "<string>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"userId": "<string>",
"type": "asset_discovered",
"title": "<string>",
"message": "",
"read": false,
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"relatedId": "<string>",
"relatedType": "<string>"
}{
"error": "<string>",
"details": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Body
application/json
Available options:
asset_discovered, lead_created, agent_attention, js_change_detected, js_secrets_found, vulnerability_created, scan_started, scan_completed, scan_failed Response
The updated resource.
Available options:
asset_discovered, lead_created, agent_attention, js_change_detected, js_secrets_found, vulnerability_created, scan_started, scan_completed, scan_failed 
